org.aspectj.weaver.loadtime

## Interface ClassPreProcessor

All Known Implementing Classes:
  Aj

    public interface ClassPreProcessor

Generic class pre processor interface that allows to separate the AspectJ 5 load time weaving from Java 5 JVMTI interfaces for further use on Java 1.3 / 1.4

Author:
  Alexandre Vasseur

### Method Summary

Methods
`void` `initialize()` Post constructor initialization, usually empty
`byte[]` `preProcess(java.lang.String className, byte[] bytes, java.lang.ClassLoader classLoader, java.security.ProtectionDomain protectionDomain)` Weave

### Method Detail

#### initialize

    void initialize()

Post constructor initialization, usually empty

#### preProcess

    byte[] preProcess(java.lang.String className,
                    byte[] bytes,
                    java.lang.ClassLoader classLoader,
                    java.security.ProtectionDomain protectionDomain)

Weave

Parameters:
  `className` -
  `bytes` -
  `classLoader` -
  `a` - protection domain that may be used for defining extraneous classes generated as part of modifying the one passed in
Returns: